#include <stdio.h>
#include <allegro.h>

#include "prjxmain.h"
#include "keyboard.h"

int KBD_MainMap(void)
{
   int pTmp=0;

   if(key[KEY_UP])                  //*!* User pressed the <UP arrow>
   {
      if(Map[PL_player.x+8][(PL_player.y+5)-1].walk==1)
      {
         MAP_MovePlayer(0);
         MAP_ShowPlayer(0);
         MAP_CheckLocation();
         playwav("AUDIO\\WALK.WAV");
         rest(100);
      }
   } else if(key[KEY_DOWN])         //*!* User pressed the <DOWN arrow>
   {
      if(Map[PL_player.x+8][(PL_player.y+5)+1].walk==1)
      {
         MAP_MovePlayer(1);
         MAP_ShowPlayer(1);
         MAP_CheckLocation();
         playwav("AUDIO\\WALK.WAV");
         rest(100);
      }
   } else if(key[KEY_LEFT])         //*!* User pressed the <DOWN arrow>
   {
      if(Map[(PL_player.x+8)-1][PL_player.y+5].walk==1)
      {
         MAP_MovePlayer(2);
         MAP_ShowPlayer(2);
         MAP_CheckLocation();
         playwav("AUDIO\\WALK.WAV");
         rest(100);
      }
   } else if(key[KEY_RIGHT])        //*!* User pressed the <RIGHT arrow>
   {
      if(Map[(PL_player.x+8)+1][PL_player.y+5].walk==1)
      {
         MAP_MovePlayer(3);
         MAP_ShowPlayer(3);
         MAP_CheckLocation();
         playwav("AUDIO\\WALK.WAV");
         rest(100);
      }
   } else if(key[KEY_ESC])          // *!* User pressed <ESC>
   {
      fade_out(1);
      show_mainmenu(1);       // Show the main menu
      do_mainmenu(KeyWay);    // Enter the Main Menu handling section
   } else if(key[KEY_F])
   {
      MAP_ShootEnemy();
   }
   return(0);
}

int KBD_MainMenu(void)
{
   if(key[KEY_UP])                  //*!* User pressed the <UP arrow>
   {

   } else if(key[KEY_DOWN])         //*!* User pressed the <DOWN arrow>
   {

   } else if(key[KEY_LEFT])         //*!* User pressed the <DOWN arrow>
   {
      if(KeyWay > 0)
      {
         KeyWay -= 1;
         do_mainmenu(KeyWay);    // *-* Move menu selection left
      }
   } else if(key[KEY_RIGHT])        //*!* User pressed the <RIGHT arrow>
   {
      if(KeyWay < 3)
      {
         KeyWay += 1;
         do_mainmenu(KeyWay);    // *-* Move menu selection right
      }
   } else if(key[KEY_ENTER])        //*!* User pressed the <ENTER> key
   {
      if(KeyWay==0)        //--*-- NEW GAME button --*--
      {
         StartNewGame();  //run the new game function
      } else if(KeyWay==2) //--*-- SETUP button --*--
      {
         KeyWay=0;
         show_setupmenu(0);
         do_setupmenu(KeyWay);   // *-* User selected <SETUP>...Change menu to setupmenu
      } else if(KeyWay==3)        //--*-- QUIT button --*--
      {
         do_shutdown();          // *-* User selected <QUIT>...Game Exits
         exit(1);
         return(0);           
      }
   } else if(key[KEY_ESC])          // *!* User pressed <ESC>
   {
      do_shutdown();
      exit(1);
      return(0);                 //  *-* game exits here
   }
  return(0);
}


int KBD_SetupMenu(void)
{
   if(key[KEY_UP])               // *!* User pressed the <UP Arrow>
   {
     if(KeyWay > 0)        // *-* If the selection is below the Sound Volume button
     {
        KeyWay -= 1;       // Move the selection up one
        do_setupmenu(KeyWay);    // Redraw the setup menu
     }
   } else if(key[KEY_DOWN])      // *!* User pressed the <DOWN Arrow>
   {
      if(KeyWay < 2)       // *-* If the selection is above the OK button
      {
         KeyWay += 1;      // Move the selection down one
         do_setupmenu(KeyWay);   // Redraw the setup menu
      }
   } else if(key[KEY_LEFT])      // *!* User pressed the <LEFT Arrow>
   {
      if(KeyWay == 0)         // *-* If the Sound Volume button is selected
      {
         if(SndVol > 6)       // *-* If the sound volume is above Minimum
         {
            SndVol -= 3;      // Move the sound slider left 3 places
            do_setupmenu(KeyWay);  // Redraw the setup menu
         }
      } else if(KeyWay == 1)     // *-* If the Midi Volume button is
      {                          //     selected
         if(MidiVol > 0)      // *-* If the Midi Volume is ON
         {
            MidiVol = 0;      // Turn Midi Volume OFF
            do_setupmenu(KeyWay);  // Redraw Setup Menu
            stop_midi();      // Stop the current Midi
         }
      }
   } else if(key[KEY_RIGHT])     // *!* User pressed the <RIGHT Arrow>
   {
      if(KeyWay == 0)      // *-* If the Sound Volume button is selected
      {
         if(SndVol < 51)   // *-* If the volume level is below MAX
         {
            SndVol += 3;   // Move the volume slider 3 right
            do_setupmenu(KeyWay);   // Redraw the setup menu
         }
      } else if(KeyWay == 1)        // *-* If the Midi Volume button is
      {                             //     selected.
         if(MidiVol < 1)         // *-* If the Midi Volume is OFF
         {
            MidiVol = 1;   // Turn Midi Volume ON
            do_setupmenu(KeyWay);   // Redraw setup menu
            playmidi("AUDIO\\PRJXTHME.MID"); // Start the music
         }
      }
   } else if(key[KEY_ENTER])        // *!* User pressed the <ENTER> key
   {
      if(KeyWay==2)        // *-* If the OK button is selected then go
      {                    //     back to the main menu
         KeyWay=0;
         show_mainmenu(0);
         do_mainmenu(KeyWay);
      }
   } else if(key[KEY_ESC])          // *!* User pressed the <ESC> key
   {
         KeyWay=0;
         show_mainmenu(0);
         do_mainmenu(KeyWay);
   }
   return(0);
}
